import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import java.net.*;
import java.util.*;

/**
  *
  * description
  *
  * @version 1.0 from 02.02.2010
  * @author Daniel Garmann
  */

public class AnmeldungGui extends JDialog {
  // Anfang Attribute
  private int clientserver = 0;
  private JLabel jLabel2 = new JLabel();
  private JTextField jtfServerIP = new JTextField();
  private JLabel jLabel4 = new JLabel();
  private JTextField jtfName = new JTextField();
  private JButton jbServerStarten = new JButton();
  private JButton jbClientStarten = new JButton();
  // Ende Attribute

  public AnmeldungGui(JFrame owner, String title, boolean modal) {
    super(owner, title, modal);
    setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
    int frameWidth = 252;
    int frameHeight = 223;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2;
    setLocation(x, y);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten
    jLabel2.setBounds(16, 88, 59, 16);
    jLabel2.setText("Server-IP:");
    jLabel2.setFont(new Font("MS Sans Serif", Font.PLAIN, 13));
    cp.add(jLabel2);
    jtfServerIP.setBounds(104, 80, 121, 24);
    jtfServerIP.setText("");
    cp.add(jtfServerIP);
    jLabel4.setBounds(16, 120, 40, 16);
    jLabel4.setText("Name:");
    jLabel4.setFont(new Font("MS Sans Serif", Font.PLAIN, 13));
    cp.add(jLabel4);
    jtfName.setBounds(104, 112, 121, 24);
    jtfName.setText("Nickname");
    cp.add(jtfName);
    jbServerStarten.setBounds(16, 16, 211, 25);
    jbServerStarten.setText("Server starten");
    jbServerStarten.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jbServerStarten_ActionPerformed(evt);
      }
    });
    cp.add(jbServerStarten);
    jbClientStarten.setBounds(16, 144, 211, 25);
    jbClientStarten.setText("Client starten");
    jbClientStarten.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jbClientStarten_ActionPerformed(evt);
      }
    });
    cp.add(jbClientStarten);
    // Ende Komponenten
    setResizable(false);
    try
    {
      InetAddress addr = InetAddress.getLocalHost();
      String HostAdresse = addr.getHostAddress();


      jtfServerIP.setText(HostAdresse);
      jtfName.setText("Nick"+HostAdresse);
    }
    catch (UnknownHostException e)
    {
      System.err.println("Host nicht gefunden!");
      System.exit(1);
    }
    setVisible(true);

  }

  // Anfang Methoden
  public void jbServerStarten_ActionPerformed(ActionEvent evt) {
    clientserver = 1; // server
    this.setVisible(false);
  }

  public void jbClientStarten_ActionPerformed(ActionEvent evt) {
    clientserver = 2; // client
    this.setVisible(false);
  }
  
  public String getServerIP() {
    return jtfServerIP.getText();
  }
  
  public int clientserver() {
    return clientserver;
  }
  
  public String getNickname() {
    return jtfName.getText();
  }

  // Ende Methoden
}
