import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import java.net.*;
import java.util.*;

/**
  *
  * description
  *
  * @version 1.0 from 16.05.2011
  * @author Daniel Garmann
  */

public class Gui extends JFrame {
  // Anfang Attribute
  private SpielServer server;
  private SpielClient client;
  private AnmeldungGui anmeldung;
  
  private JPanel jpAnzeige = new JPanel(null);
  private JScrollPane jScrollPane1 = new JScrollPane();
    public JTextArea jtaTeilnehmerListe = new JTextArea("");
  private JLabel jLabel1 = new JLabel();
  private JScrollPane jScrollPane3 = new JScrollPane();
    public JTextArea jtaChat = new JTextArea("");
  private JLabel jlChat = new JLabel();
  private JTextField jtfChat = new JTextField();
  private JButton jbChat = new JButton();
  public JButton jbLos = new JButton();
  public JCheckBox jcbBereit = new JCheckBox();
  private JButton jButton1 = new JButton();
  private JButton jButton21 = new JButton();
  private JButton jButton3 = new JButton();
  private JTextField jTextField2 = new JTextField();
  private JButton jButton27 = new JButton();
  private JButton jButton22 = new JButton();
  private JButton jButton23 = new JButton();
  private JButton jButton24 = new JButton();
  private JButton jButton25 = new JButton();
  private JButton jButton26 = new JButton();
  private JLabel jlChat1 = new JLabel();
  private JTextField jtfWhisNick = new JTextField();
  private JButton jbWhis = new JButton();
  private JTextField jtfWhisMsg = new JTextField();
  private JButton jButton2 = new JButton();
  private JLabel jLabel2 = new JLabel();
  private JScrollPane jScrollPane2 = new JScrollPane();
    public JTextArea jtaSpielerListe = new JTextArea("");
  public JButton jbReset = new JButton();
  public JButton jbResetYes = new JButton();
  public JButton jbResetNo = new JButton();
  // Ende Attribute

  public Gui (String title) {
    super (title);
    setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
    int frameWidth = 812;
    int frameHeight = 621;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2;
    setLocation(x, y);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten
    jpAnzeige.setBounds(184, 8, 458, 324);
    cp.add(jpAnzeige);
    jScrollPane1.setBounds(8, 104, 161, 89);
    cp.add(jScrollPane1);
    jLabel1.setBounds(8, 72, 105, 16);
    jLabel1.setText("Teilnehmerliste:");
    jLabel1.setFont(new Font("MS Sans Serif", Font.PLAIN, 13));
    cp.add(jLabel1);
    jtaTeilnehmerListe.setText("");
    jtaTeilnehmerListe.setBounds(-2, -2, 185, 89);
    jScrollPane1.setViewportView(jtaTeilnehmerListe);
    jScrollPane3.setBounds(8, 336, 785, 153);
    cp.add(jScrollPane3);
    jtaChat.setText("");
    jtaChat.setBounds(-2, -2, 185, 89);
    jScrollPane3.setViewportView(jtaChat);
    jlChat.setBounds(8, 496, 48, 16);
    jlChat.setText("senden:");
    jlChat.setFont(new Font("MS Sans Serif", Font.PLAIN, 13));
    cp.add(jlChat);
    jtfChat.setBounds(72, 496, 633, 24);
    jtfChat.setText("");
    jtfChat.addKeyListener(new KeyAdapter() {
      public void keyPressed(KeyEvent evt) {
        if (evt.getKeyChar() == KeyEvent.VK_ENTER) {
          jbChat_ActionPerformed(null);
        }
      }
    });
    cp.add(jtfChat);
    jbChat.setBounds(720, 496, 75, 25);
    jbChat.setText("senden");
    jbChat.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jbChat_ActionPerformed(evt);
      }
    });
    cp.add(jbChat);
    jbLos.setBounds(8, 32, 155, 25);
    jbLos.setText("Und Los!");
    jbLos.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jbLos_ActionPerformed(evt);
      }
    });
    cp.add(jbLos);
    jcbBereit.setBounds(8, 8, 97, 17);
    jcbBereit.setText("bereit...");
    jcbBereit.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jcbBereit_ActionPerformed(evt);
      }
    });
    cp.add(jcbBereit);
    jButton1.setBounds(680, 32, 75, 25);
    jButton1.setText("wuerfeln");
    jButton1.setMargin(new Insets(2, 2, 2, 2));
    jButton1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton1_ActionPerformed(evt);
      }
    });
    cp.add(jButton1);
    jButton21.setBounds(648, 72, 27, 25);
    jButton21.setText("1");
    jButton21.setMargin(new Insets(2, 2, 2, 2));
    jButton21.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton21_ActionPerformed(evt);
      }
    });
    jButton21.setEnabled(false);
    cp.add(jButton21);
    jButton3.setBounds(672, 160, 107, 25);
    jButton3.setText("kartenehmen");
    jButton3.setMargin(new Insets(2, 2, 2, 2));
    jButton3.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton3_ActionPerformed(evt);
      }
    });
    cp.add(jButton3);
    jTextField2.setBounds(696, 136, 57, 24);
    jTextField2.setText("21");
    cp.add(jTextField2);
    jButton27.setBounds(648, 96, 147, 25);
    jButton27.setText("kaputt");
    jButton27.setMargin(new Insets(2, 2, 2, 2));
    jButton27.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton27_ActionPerformed(evt);
      }
    });
    jButton27.setEnabled(false);
    cp.add(jButton27);
    jButton22.setBounds(672, 72, 27, 25);
    jButton22.setText("2");
    jButton22.setMargin(new Insets(2, 2, 2, 2));
    jButton22.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton22_ActionPerformed(evt);
      }
    });
    jButton22.setEnabled(false);
    cp.add(jButton22);
    jButton23.setBounds(696, 72, 27, 25);
    jButton23.setText("3");
    jButton23.setMargin(new Insets(2, 2, 2, 2));
    jButton23.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton23_ActionPerformed(evt);
      }
    });
    jButton23.setEnabled(false);
    cp.add(jButton23);
    jButton24.setBounds(720, 72, 27, 25);
    jButton24.setText("4");
    jButton24.setMargin(new Insets(2, 2, 2, 2));
    jButton24.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton24_ActionPerformed(evt);
      }
    });
    jButton24.setEnabled(false);
    cp.add(jButton24);
    jButton25.setBounds(744, 72, 27, 25);
    jButton25.setText("5");
    jButton25.setMargin(new Insets(2, 2, 2, 2));
    jButton25.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton25_ActionPerformed(evt);
      }
    });
    jButton25.setEnabled(false);
    cp.add(jButton25);
    jButton26.setBounds(768, 72, 27, 25);
    jButton26.setText("W");
    jButton26.setMargin(new Insets(2, 2, 2, 2));
    jButton26.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton26_ActionPerformed(evt);
      }
    });
    jButton26.setEnabled(false);
    cp.add(jButton26);
    jlChat1.setBounds(8, 536, 55, 16);
    jlChat1.setText("flstern:");
    jlChat1.setFont(new Font("MS Sans Serif", Font.PLAIN, 13));
    cp.add(jlChat1);
    jtfWhisNick.setBounds(71, 536, 121, 24);
    jtfWhisNick.setText("");
    cp.add(jtfWhisNick);
    jbWhis.setBounds(717, 535, 75, 25);
    jbWhis.setText("flstern");
    jbWhis.setMargin(new Insets(2, 2, 2, 2));
    jbWhis.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jbWhis_ActionPerformed(evt);
      }
    });
    cp.add(jbWhis);
    jtfWhisMsg.setBounds(208, 536, 497, 24);
    jtfWhisMsg.setText("");
    cp.add(jtfWhisMsg);
    jButton2.setBounds(112, 64, 51, 25);
    jButton2.setText("akt.");
    jButton2.setMargin(new Insets(2, 2, 2, 2));
    jButton2.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton2_ActionPerformed(evt);
      }
    });
    cp.add(jButton2);
    jLabel2.setBounds(16, 200, 104, 16);
    jLabel2.setText("Spielerliste:");
    jLabel2.setFont(new Font("MS Sans Serif", Font.PLAIN, 13));
    cp.add(jLabel2);
    jScrollPane2.setBounds(16, 232, 153, 89);
    cp.add(jScrollPane2);
    jtaSpielerListe.setBounds(-2, -2, 185, 89);
    jtaSpielerListe.setText("");
    jtaSpielerListe.setLineWrap(true);
    jScrollPane2.setViewportView(jtaSpielerListe);
    jbReset.setBounds(672, 240, 107, 41);
    jbReset.setText("RESET");
    jbReset.setMargin(new Insets(2, 2, 2, 2));
    jbReset.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jbReset_ActionPerformed(evt);
      }
    });
    jbReset.setEnabled(true);
    cp.add(jbReset);
    jbResetYes.setBounds(672, 288, 51, 25);
    jbResetYes.setText("yes");
    jbResetYes.setMargin(new Insets(2, 2, 2, 2));
    jbResetYes.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jbResetYes_ActionPerformed(evt);
      }
    });
    jbResetYes.setEnabled(false);
    cp.add(jbResetYes);
    jbResetNo.setBounds(728, 288, 51, 25);
    jbResetNo.setText("no");
    jbResetNo.setMargin(new Insets(2, 2, 2, 2));
    jbResetNo.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jbResetNo_ActionPerformed(evt);
      }
    });
    jbResetNo.setEnabled(false);
    cp.add(jbResetNo);
    // Ende Komponenten
    setResizable(false);
    setVisible(true);
    anmeldung = new AnmeldungGui(this,"Anmeldung",true);

    if (anmeldung.clientserver() == 0) System.exit(0);
    if (anmeldung.clientserver() == 1) {
      server = new SpielServer(1000);
    }
    client = new SpielClient(anmeldung.getServerIP(), 1000, this, anmeldung.getNickname());
  }

  // Anfang Methoden
  
  public void paint(Graphics g) {
    super.paint(g);
    client.spielfeldabfragen();
  }
  
  public void spielfeldausgabe(String s) {
    Container c = jpAnzeige;
    String[] infos = s.split("-"); // 0 = Spielerinfos, 1 = offene Karten, 2 = Kartenstapel, 3 = Wrfel, 4 = Augensumme
    String[] spielerinfos = infos[0].split(";");
      int amZug = Integer.parseInt(spielerinfos[0]);
      int spieleranzahl = Integer.parseInt(spielerinfos[1]);
    String[] sichtbareKarten = infos[1].split(";");
    String[] kartenstapel = infos[2].split(";");
    String[] wuerfel = infos[3].split(";");
    String augensumme = infos[4];
    
    Graphics g = c.getGraphics();
    g.clearRect(0,0,c.getWidth(),c.getHeight());
    // Karten zeigen
    for (int i = 0; i < 16; i++) {
      int k = Integer.parseInt(sichtbareKarten[i]);
      if (k > 0) {
        g.drawRect(c.getWidth()/16 * i,20,c.getWidth()/17,40);
        g.drawString(""+k,c.getWidth()/16*i+10,35);
        g.drawString(""+((k-21)/4+1),c.getWidth()/16*i+10,50);
      } else {
        g.fillRect(c.getWidth()/16 * i,20,c.getWidth()/17,40);
      }
    }

    // Spielerstapel zeigen
    for (int i = 0; i < spieleranzahl; i++) {
      if (i == amZug) {
        g.setColor(Color.GREEN);
      } else {
        g.setColor(Color.BLACK);
      }
      int k = Integer.parseInt(kartenstapel[i]);
      if (k > 0) {
        g.drawRect(c.getWidth()/spieleranzahl * i,80,c.getWidth()/17,40);
        g.drawString(""+k,c.getWidth()/spieleranzahl*i+10,105);
        g.drawString(""+((k-21)/4+1),c.getWidth()/spieleranzahl*i+10,120);
      } else {
        g.fillRect(c.getWidth()/spieleranzahl * i,80,c.getWidth()/17,40);
      }
    }

    // Wuerfel zeigen
    for (int i = 0; i < 8; i++) {
      String zahl = wuerfel[i].substring(0,1);
      boolean fest = Boolean.parseBoolean(wuerfel[i].substring(1));
      if (fest == true) {
        g.setColor(Color.RED);
      } else {
        g.setColor(Color.BLACK);
      }
      g.drawRect(c.getWidth()/8 * i, 150, c.getWidth()/9, c.getWidth()/9);
      g.drawString(""+zahl,c.getWidth()/8*i+20,180);
    }

    // Augensumme anzeigen:
    g.drawString("Augensumme: "+augensumme,10,170 + c.getWidth()/9);
  }

  public void jbChat_ActionPerformed(ActionEvent evt) {
    client.chatten(jtfChat.getText());
    jtfChat.setText("");
  }

  public void jbLos_ActionPerformed(ActionEvent evt) {
    client.starten();
  }

  public void jcbBereit_ActionPerformed(ActionEvent evt) {
    client.bereitErklaeren(jcbBereit.isSelected());
  }

  public void wuerfelbuttonsSichtbarMachen(boolean value) {
    jButton1.setEnabled(!value);
    jButton21.setEnabled(value);
    jButton22.setEnabled(value);
    jButton23.setEnabled(value);
    jButton24.setEnabled(value);
    jButton25.setEnabled(value);
    jButton26.setEnabled(value);
    jButton27.setEnabled(value);
    jButton3.setEnabled(!value);
  }

  public void jButton1_ActionPerformed(ActionEvent evt) {
    client.wuerfeln();
  }

  public void jButton21_ActionPerformed(ActionEvent evt) {
    client.rausnehmen(1);
  }

  public void jButton3_ActionPerformed(ActionEvent evt) {
    int z = Integer.parseInt(jTextField2.getText());
    client.kartenehmen(z);
  }

  public void jButton27_ActionPerformed(ActionEvent evt) {
    client.rausnehmen(-1);
  }

  public void jButton22_ActionPerformed(ActionEvent evt) {
    client.rausnehmen(2);
  }

  public void jButton23_ActionPerformed(ActionEvent evt) {
    client.rausnehmen(3);
  }

  public void jButton24_ActionPerformed(ActionEvent evt) {
    client.rausnehmen(4);
  }

  public void jButton25_ActionPerformed(ActionEvent evt) {
    client.rausnehmen(5);
  }

  public void jButton26_ActionPerformed(ActionEvent evt) {
    client.rausnehmen(6);
  }

  public void jbWhis_ActionPerformed(ActionEvent evt) {
    client.fluestern(jtfWhisNick.getText(), jtfWhisMsg.getText());
    jtfWhisMsg.setText("");
  }

  public void jButton2_ActionPerformed(ActionEvent evt) {
    client.nicksabfragen();
    client.playersabfragen();
    client.spielfeldabfragen();
  }

  public void jbReset_ActionPerformed(ActionEvent evt) {
    client.resetschicken();
    jbReset.setEnabled(false);
  }

  public void jbResetYes_ActionPerformed(ActionEvent evt) {
    client.resetbestaetigen(true);
    jbResetYes.setEnabled(false);
    jbResetNo.setEnabled(false);
  }

  public void jbResetNo_ActionPerformed(ActionEvent evt) {
    client.resetbestaetigen(false);
    jbResetYes.setEnabled(false);
    jbResetNo.setEnabled(false);
  }

  // Ende Methoden

  public static void main(String[] args) {
    new Gui("Gui");
  }
}
