/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 10.04.2011
  * @author Daniel Garmann
  */

public class Wuerfel {

  // Anfang Attribute
  private int wert;
  private boolean fest = false;
  // Ende Attribute

  // Anfang Methoden
  public Wuerfel() {
    this.wert = 0;
    this.fest = false;
  }
  
  public int getWert() {
    return wert;
  }
  
  public String getSymbol() {
    if (wert < 6)
      return ""+wert;
    else
      return "W";
  }
  
  public boolean getFest() {
    return fest;
  }
  
  public void feststellen() {
    fest = true;
  }
  
  public void loslassen() {
    fest = false;
  }
  
  public void wuerfeln() {
    if (fest == false) {
      wert = (int)(Math.random()*6 + 1);
    }
  }
  // Ende Methoden
}
